Posts

Post not yet marked as solved
6 Replies
0 Views
Check to make sure the JWT has all the required fields. If you're able to access the GET methods of the API but not the more restricted methods (POST, PATCH, DELETE) you might have missed a required field. Here are the docs for setting up your jwt: https://developer.apple.com/documentation/appstoreserverapi/generating_tokens_for_api_requests Reposted from the docs; header { "alg": "ES256", "kid": "2X9R4HXF34", "typ": "JWT" } payload { "iss": "57246542-96fe-1a63e053-0824d011072a", "iat": 1623085200, "exp": 1623086400, "aud": "appstoreconnect-v1", "bid": "com.example.testbundleid2021" }
Post not yet marked as solved
6 Replies
0 Views
Hi @ChuckMN, here's an example request: curl -X "DELETE" "https://api.appstoreconnect.apple.com/v1/appInfoLocalizations/{APP_INFO_LOCALIZATION_ID}" \ -H 'Authorization: Bearer {TOKEN}' \ -H 'Content-Type: application/json; charset=utf-8' \ -d $'{}' That is getting the following error: status: 405 code: Method Not Allowed title: The request method is not valid for the resource path. The documentation is here: https://developer.apple.com/documentation/appstoreconnectapi/delete_an_app_info_localization Any guidance or suggestions would be great!